ConfigFormat (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.service.api.records, enum: ConfigFormat

Package org.apache.hadoop.yarn.service.api.records

# Enum Class ConfigFormat

java.lang.Object
java.lang.Enum<ConfigFormat>
org.apache.hadoop.yarn.service.api.records.ConfigFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfigFormat>`, `Constable`

@Public @Unstable public enum ConfigFormat extends Enum<ConfigFormat>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HADOOP_XML`
  `JSON`
  `PROPERTIES`
  `TEMPLATE`
  `XML`
  `YAML`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSuffix()`
  `static ConfigFormat`
  `resolve(String type)`
  Get a matching format or null
  `String`
  `toString()`
  `static ConfigFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConfigFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JSON

    public static final ConfigFormat JSON

  - ### PROPERTIES

    public static final ConfigFormat PROPERTIES

  - ### XML

    public static final ConfigFormat XML

  - ### HADOOP_XML

    public static final ConfigFormat HADOOP_XML

  - ### TEMPLATE

    public static final ConfigFormat TEMPLATE

  - ### YAML

    public static final ConfigFormat YAML

- ## Method Details

  - ### values

    public static ConfigFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConfigFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getSuffix

    public String getSuffix()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ConfigFormat>`

  - ### resolve

    public static ConfigFormat resolve(String type)
    Get a matching format or null
    Parameters:
      `type` -
    Returns:
      the format